MeshTale Docs
POST
/v1/memories/{id}/resolve-conflict

Bulk updates memory audience and/or sensitivity. Audience updates normally require upload_sources/sources:write; when the org enforces audience permission, the audience sub-action requires the session action set_audience_policy and API keys cannot set audience.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/memories/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve-conflict" \  -H "Content-Type: application/json" \  -d '{    "action": "keep_this",    "otherMemoryId": "54af050e-ddef-4360-92e8-72f39f51c611"  }'
{  "memory": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",    "submissionStatus": "approved",    "supersededBy": "608778cc-35f6-47d1-a540-9bcbfdf24101",    "audienceTag": "string",    "sensitivityLabel": "public"  },  "otherMemory": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",    "submissionStatus": "approved",    "supersededBy": "608778cc-35f6-47d1-a540-9bcbfdf24101",    "audienceTag": "string",    "sensitivityLabel": "public"  },  "action": "keep_this",  "archivedMemoryIds": [    "97c35374-44e5-4440-b851-b9aeca50bbca"  ],  "auditLogId": "8c85466e-a824-44f4-b05a-bec7e4cee4ba",  "cacheInvalidated": true,  "replayed": true}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}